Skip to content
Developer

EventTimingCustomer

Events5 EndpointsEvent / EventTimingCustomer

Own sign ups at events with bib numbers or timing.

GET/api/event/customer/timing/sign_up

Responses

200[{sign_up_id, name, bib_label, age_class, chip_code, timing_tracking_consent, event, result}]

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/event/customer/timing/sign_up \
  --header 'x-iw-jwt-token: <TOKEN>'

"I am at the start": a read at the START point of the event.

POST/api/event/customer/timing/sign_up/{identifier}/check_in

Path parameters

identifierrequiredstring

Request body application/json

  • latitudenumber
  • longitudenumber
  • accuracynumber

Responses

200{results: [ReadResult]}

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/event/customer/timing/sign_up/42/check_in \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "latitude": 1.5,
  "longitude": 1.5,
  "accuracy": 1.5
}
'

GPS points while running, only with consent.

POST/api/event/customer/timing/sign_up/{identifier}/track_points

Path parameters

identifierrequiredstring

Request body application/json

  • pointsarray<object>

Responses

200{stored}

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/event/customer/timing/sign_up/42/track_points \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '{"points":[{}]}'